Public APIAPI ReferenceDomains

List app domains.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/apps/{appId}/domains

Use limit and cursor to page through domains from oldest to newest. Revision and branch aliases are excluded by default; set includeRevisions=true to include them. Corresponds to the ntro domains list command.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

appId*string

Query Parameters

cursor?string
includeRevisions?boolean
limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/domains"
{  "items": [    {      "appId": "string",      "certificate": {        "notAfter": "string",        "status": "string"      },      "cnameTarget": "string",      "createdAt": "string",      "hostname": "string",      "id": "string",      "kind": "string",      "retryAfter": "string",      "status": "string",      "verificationErrorCode": "string",      "verifiedAt": "string"    }  ],  "nextCursor": "string"}